<?php
/**
 * Clase Base Bean para BaseCrEventoTipoBN
 *
 * @package    Sedapal
 * @subpackage BaseCrEventoTipoBN
 * @author     Willy
 * @version    SVN:: BaseCrEventoTipoBN.class.php,v 1.1 2023-02-23 16:13:37 william.taype Exp $
 */
abstract class BaseCrEventoTipoBN
{
  protected $IdEventoTipo;
  protected $Decripcion;
  protected $NombreClavePrimaria;
  protected $Estado;
  protected $FechaCreacion;
  protected $Mensaje;
  protected $Error;

  public function getIdEventoTipo(){
    return $this->IdEventoTipo;
  }
  public function setIdEventoTipo($v1){
    $this->IdEventoTipo = $v1; 
  }

  public function getDescripcion(){
    return $this->Descripcion;
  }
  public function setDescripcion($v1){
    $this->Descripcion = $v1; 
  }

  public function getNombreClavePrimaria(){
    return $this->NombreClavePrimaria;
  }
  public function setNombreClavePrimaria($v1){
    $this->NombreClavePrimaria = $v1; 
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v1){
    $this->Estado = $v1; 
  }

  public function getFechaCreacion(){
    return $this->FechaCreacion;
  }
  public function setFechaCreacion($v1){
    $this->FechaCreacion = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Cr_evento_tipoBN desde un RecordSet */
  public static function retrieveByRs( $o_Cr_evento_tipoRs )
  {
    $o_CrEventoTipoBN = new CrEventoTipoBN();
    $o_CrEventoTipoBN->setIdEventoTipo( $o_Cr_evento_tipoRs['IdEventoTipo'] );
    $o_CrEventoTipoBN->setDescripcion( $o_Cr_evento_tipoRs['Decripcion'] );
    $o_CrEventoTipoBN->setNombreClavePrimaria( $o_Cr_evento_tipoRs['NombreClavePrimaria'] );
    $o_CrEventoTipoBN->setEstado( $o_Cr_evento_tipoRs['Estado'] );
    $o_CrEventoTipoBN->setFechaCreacion( $o_Cr_evento_tipoRs['FechaCreacion'] );
    return $o_CrEventoTipoBN;
  }
}